﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "deDE", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";

	-- Rares Pandaria
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone die Wanderin"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Himmelsspiegel"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran die flüchtige Wolke"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim der Allsehende"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Archiereus der Flamme"] = 73666; --Archiereus of Flame
	AL["Erzritualist Kelada"] = 70243; --Archritualist Kelada
	AL["Arness die Schuppe"] = 50787; --Arness the Scale
	AL["Rückenbrecher Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin der Schlächter"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai der Verbrenner"] = 63695; --Baolai the Immolator
	AL["Schwarzhuf"] = 51059; --Blackhoof
	AL["Blutspitz"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Dunkelfaust"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Champion der Schwarzen Flamme"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Glutfall"] = 73175; --Cinderfall
	AL["Cournith Wasserläufer"] = 50768; --Cournith Waterstrider
	AL["Knackzahn"] = 58768; --Cracklefang
	AL["Kranichknirscher"] = 72049; --Cranegnasher
	AL["Dak der Brecher"] = 50334; --Dak the Breaker
	AL["Dalan Nachtbrecher"] = 68318; --Dalan Nightbreaker
	AL["Toth'tilac"] = 54322; --Deth'tilac
	AL["Disha Furchtwächter"] = 68319; --Disha Fearwarden
	AL["Doktor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Schreckensschiff Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Smaragdkranich"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Tiefenschlund"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Fleisch'rok der Verpestete"] = 70429; --Flesh'rok the Diseased
	AL["Funkenlord Gairan"] = 73172; --Flintlord Gairan
	AL["Fokussiertes Auge"] = 70249; --Focused Eye
	AL["Gaarn der Giftige"] = 50340; --Gaarn the Toxic
	AL["Gaohun der Seelenschnitter"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["General Temuja"] = 63101; --General Temuja
	AL["Geisterkrabbler"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao die Eisenfaust"] = 62880; --Gochao the Ironfist
	AL["Gottkoloss Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Großschildkröte Zornpanzer"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi der Schwarmbringer"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Durchgebranntes Konstrukt der Sonnenhäscher"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Ik-Ik der Flinke"] = 50836; --Ik-Ik the Nimble
	AL["Kaiserpython"] = 73163; --Imperial Python
	AL["Eisenfellstahlhorn"] = 73160; --Ironfur Steelhorn
	AL["Jadezahn"] = 49822; --Jadefang
	AL["Jakur von Ordos"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik der Veröder"] = 50749; --Kal'tik the Blight
	AL["Kang der Seelendieb"] = 50349; --Kang the Soul Thief
	AL["Kar Kriegstreiber"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr der Verdunkler"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Nachtgrauen"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol die Klinge"] = 50356; --Krol the Blade
	AL["Ku'lai die Himmelsklaue"] = 69996; --Ku'lai the Skyclaw
	AL["Blattheiler"] = 73277; --Leafmender
	AL["Lith'ik der Pirscher"] = 50734; --Lith'ik the Stalker
	AL["Lon der Bulle"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Major Affentanz"] = 50840; --Major Nanners
	AL["Mavis Harms"] = 68317; --Mavis Harms
	AL["Das Tier"] = 50823; --Mister Ferocious
	AL["Moldo Einauge"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Monströse Dornzange"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Bersthauer"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak der Reißer"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Fleckpelz"] = 50811; --Nasra Spothide
	AL["Nessos das Orakel"] = 50789; --Nessos the Oracle
	AL["No'ku Sturmsprecher"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Feixmaul"] = 50805; --Omnis Grinlok
	AL["Oberanführer Zornesbeben"] = 50085; --Overlord Sunderfury
	AL["Prinz Lakma"] = 54533; --Prince Lakma
	AL["Progenitus"] = 69997; --Progenitus
	AL["Qu'nas"] = 50352; --Qu'nas
	AL["Kwall"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Klapperknochen"] = 72048; --Rattleskew
	AL["Steinmoos"] = 73157; --Rock Moss
	AL["Krankenstein"] = 70430; --Rocky Horror
	AL["Ruun Geisterpranke"] = 50816; --Ruun Ghostpaw
	AL["Sahn Gezeitenjäger"] = 50780; --Sahn Tidehunter
	AL["Kriegsspäher von Salyis"] = 50783; --Salyin Warscout
	AL["Sambas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Kritscher"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Schattenmeister Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss der Schärfer"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Flickerflamm"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Spelurk"] = 71864; --Spelurk
	AL["Jadefeuergeist"] = 72769; --Spirit of Jadefire
	AL["Geist von Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Stinkezopf"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus der Üble"] = 50086; --Tarvus the Vile
	AL["Der Jauler"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti der Schatten"] = 68320; --Ubunti the Shade
	AL["Starrendes Auge"] = 70238; --Unblinking Eye
	AL["Urdur der Kauterisierer"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi der Wanderer"] = 50808; --Urobi the Walker
	AL["Zangenkiefer"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Kriegsgott Dokah"] = 70096; --War-God Dokah
	AL["Behüter Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willi Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Scharfauge"] = 50336; --Yorik Sharpeye
	AL["Yul Wildpfote"] = 50820; --Yul Wildpaw
	AL["Zai der Verstoßene"] = 50769; --Zai the Outcast
	AL["Kriegshetzer der Zandalari"] = 69769; --Zandalari Warbringer cian
	AL["Kriegshetzer der Zandalari"] = 69842; --Zandalari Warbringer gray
	AL["Kriegshetzer der Zandalari"] = 69841; --Zandalari Warbringer silver
	AL["Kriegsspäher der Zandalari"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon der Saure"] = 71919; --Zhu-Gon the Sour
	
	-- Rares Draenor
	AL["Amaukwa"] = 77140; --Amaukwa
	AL["Uralter Klingenmeister"] = 82899; --Ancient Blademaster
	AL["Aqualir"] = 86213; --Aqualir
	AL["Avatar von Socrethar"] = 88043; --Avatar of Socrethar
	AL["Ba'ruun"] = 82326; --Ba'ruun
	AL["Bahamai"] = 81406; --Bahameye
	AL["Bashiok"] = 82085; --Bashiok
	AL["Ausweiderin Saramor"] = 78150; --Beastcarver Saramor
	AL["Betti Bummbatz"] = 84887; --Betsi Boombasket
	AL["Klingentänzer Aeryx"] = 80614; --Blade-Dancer Aeryx
	AL["Fäulglimmer"] = 84856; --Blightglow
	AL["Dornkönig Fili"] = 81639; --Brambleking Fili
	AL["Atemlos"] = 78867; --Breathless
	AL["Brutag Grimmklinge"] = 87234; --Brutag Grimblade
	AL["Schluchteismutter"] = 71721; --Canyon Icemother
	AL["Char der Brennende"] = 82311; --Char the Burning
	AL["Frostfang"] = 80242; --Chillfang
	AL["Glutrachen"] = 72294; --Cindermaw
	AL["Wolkensprecher Daber"] = 78169; --Cloudspeaker Daber
	AL["Froststampf der Trauernde"] = 77513; --Coldstomp the Griever
	AL["Frosthauer"] = 76914; --Coldtusk
	AL["Cro Fleischfetzer"] = 77620; --Cro Fleshrender
	AL["Zyklonzorn"] = 78621; --Cyclonic Fury
	AL["Dunkle Manifestation"] = 77085; --Dark Emanation
	AL["Dunkelmeister Go'vid"] = 82268; --Darkmaster Go'vid
	AL["Dunkelkralle"] = 82411; --Darktalon
	AL["Scharfschützin Kizi"] = 77763; --Deadshot Kizi
	AL["Tiefenwurz"] = 82058; --Depthroot
	AL["Terrorhuf"] = 86729; --Direhoof
	AL["Dr. Depression"] = 77561; --Dr. Gloom
	AL["Durkath Stahlrachen"] = 84807; --Durkath Steelmaw
	AL["Elementaristin Utrah"] = 77768; --Elementalist Utrah
	AL["Enavra"] = 82676; --Enavra
	AL["Enavra"] = 82742; --Enavra
	AL["Feenglanz"] = 82207; --Faebright
	AL["Reißzahn"] = 82975; --Fangler
	AL["Teufelsborke"] = 80204; --Felbark
	AL["Teufelsfeuerbuhle"] = 82992; --Felfire Consort
	AL["Eiterblüte"] = 84890; --Festerbloom
	AL["Feuerzornriese"] = 74971; --Firefury Giant
	AL["Feuerteufel Grash"] = 88580; --Firestarter Grash
	AL["Flinthaut"] = 83483; --Flinthide
	AL["Schmiedematrone Targa"] = 77648; --Forge Matron Targa
	AL["Greisholz der Versteinerte"] = 85250; --Fossilwood the Petrified
	AL["Rasender Golem"] = 77614; --Frenzied Golem
	AL["Galzomar"] = 78713; --Galzomar
	AL["Gar'lua"] = 82764; --Gar'lua
	AL["Garnison Ford"] = 86058; --Garrison Ford
	AL["Gelgor aus der blauen Flamme"] = 81038; --Gelgor of the Blue Flame
	AL["General Aevd"] = 82882; --General Aevd
	AL["Gennadian"] = 80471; --Gennadian
	AL["Riesentöter Kul"] = 71665; --Giant-Slayer Kul
	AL["Riesentöterin Kimla"] = 78144; --Giantslayer Kimla
	AL["Glimmerflügel"] = 77719; --Glimmerwing
	AL["Schlinger"] = 80868; --Glut
	AL["Knorrhuf der Tollwütige"] = 82778; --Gnarlhoof the Rabid
	AL["Gorum"] = 76380; --Gorum
	AL["Großmarschall Tremblade"] = 82876; --Grand Marshal Tremblade
	AL["Großfeder"] = 82758; --Greatfeather
	AL["Greldrok der Listige"] = 84431; --Greldrok the Cunning
	AL["Grauschlund"] = 82912; --Grizzlemaw
	AL["Gronnjäger Dawarn"] = 78128; --Gronnstalker Dawarn
	AL["Wächter des Hains Yal"] = 88583; --Grove Warden Yal
	AL["Grutush der Plünderer"] = 80312; --Grutush the Pillager
	AL["Gruuk"] = 80190; --Gruuk
	AL["Gurun"] = 80235; --Gurun
	AL["Haakun der Allesverschlingende"] = 83008; --Haakun the All-Consuming
	AL["Hammerzahn"] = 77715; --Hammertooth
	AL["Hennenmutter Hami"] = 77626; --Hen-Mother Hami
	AL["Blassfell der Einsiedler"] = 86724; --Hermit Palefur
	AL["Oberster Kriegsfürst Volrath"] = 82877; --High Warlord Volrath
	AL["Jägerin Bal'ra"] = 88672; --Hunter Bal'ra
	AL["Jäger Schwarzzahn"] = 83603; --Hunter Blacktooth
	AL["Jagdmeister Kuang"] = 78151; --Huntmaster Kuang
	AL["Hyperius"] = 78161; --Hyperious
	AL["Insha'tar"] = 83553; --Insha'tar
	AL["Schmatzschlund"] = 82616; --Jabberjaw
	AL["Jaluk der Pazifist"] = 87600; --Jaluk the Pacifist
	AL["Jiasska der Sporenschlinger"] = 84955; --Jiasska the Sporegorger
	AL["Kalos der Blutgetränkte"] = 84810; --Kalos the Bloodbathed
	AL["Karosh Schwarzwind"] = 86959; --Karosh Blackwind
	AL["Kharazos der Triumphale"] = 78710; --Kharazos the Triumphant
	AL["Todesschlund"] = 74206; --Killmaw
	AL["Klikixx"] = 78872; --Klikixx
	AL["Ku'targ der Leerenseher"] = 72362; --Ku'targ the Voidseer
	AL["Herrin Temptessa"] = 85121; --Lady Temptessa
	AL["Blattleser Kurri"] = 72537; --Leaf-Reader Kurri
	AL["Lo'marg Kieferbrecher"] = 77784; --Lo'marg Jawcrusher
	AL["Lord Korinak"] = 82920; --Lord Korinak
	AL["Wahnsinniger \"König\" Sporeon"] = 77310; --Mad "King" Sporeon
	AL["Malroc Steinmahler"] = 83643; --Malroc Stonesunder
	AL["Mandrakor"] = 84406; --Mandrakor
	AL["Marschall Gabriel"] = 82878; --Marshal Gabriel
	AL["Marschall Karsh Sturmschmiede"] = 82880; --Marshal Karsh Stormforge
	AL["Matrone der Sünde"] = 82998; --Matron of Sin
	AL["Morva Seelenzerstörer"] = 82362; --Morva Soultwister
	AL["Mutter Araneae"] = 76473; --Mother Araneae
	AL["Mutter Om'ra"] = 75071; --Mother Om'ra
	AL["Mutafen"] = 84417; --Mutafen
	AL["Nas Dunberlinn"] = 82247; --Nas Dunberlin
	AL["No'losh"] = 79334; --No'losh
	AL["Ophiis"] = 83409; --Ophiis
	AL["Oskiira der Rachsüchtige"] = 84872; --Oskiira the Vengeful
	AL["Vorhut Duretha"] = 83680; --Outrider Duretha
	AL["Fahler Fischfänger"] = 78606; --Pale Fishmonger
	AL["Pfadfinder Jalog"] = 78134; --Pathfinder Jalog
	AL["Pfadpirscherin Draga"] = 77095; --Pathstalker Draga
	AL["Grubenbestie"] = 88208; --Pit Beast
	AL["Giftmeister Keilzahn"] = 84838; --Poisonmaster Bortusk
	AL["Primalist Mur'og"] = 76918; --Primalist Mur'og
	AL["Flammenzauberin Zindra"] = 77642; --Pyrecaster Zindra
	AL["Ra'kahn"] = 77741; --Ra'kahn
	AL["Ragore Schneejäger"] = 84392; --Ragore Driftstalker
	AL["Rai'vosh"] = 82374; --Rai'vosh
	AL["Rotklaue der Wilde"] = 82755; --Redclaw the Feral
	AL["Faulhut"] = 85504; --Rotcap
	AL["Sangrikass"] = 84833; --Sangrikass
	AL["Späher Blutsucher"] = 77526; --Scout Goreseeker
	AL["Sean Weißsee"] = 83542; --Sean Whitesea
	AL["Schattenborke"] = 79938; --Shadowbark
	AL["Shinri"] = 82415; --Shinri
	AL["Sikthiss die Kriegsfurie"] = 78715; --Sikthiss, Maiden of Slaughter
	AL["Silberblatturtum"] = 79686; --Silverleaf Ancient
	AL["Silberblatturtum"] = 79693; --Silverleaf Ancient
	AL["Silberblatturtum"] = 79692; --Silverleaf Ancient
	AL["Sonnenverstärker"] = 83990; --Solar Magnifier
	AL["Seelenfang"] = 80057; --Soulfang
	AL["Stahlhauer"] = 86549; --Steeltusk
	AL["Stampfer Kreego"] = 79629; --Stomper Kreego
	AL["Steingrimm"] = 84805; --Stonespite
	AL["Sulfuror"] = 80725; --Sulfurious
	AL["Sonnenklaue"] = 86137; --Sunclaw
	AL["Reißdorn"] = 84912; --Sunderthorn
	AL["Schwarmblatt"] = 85520; --Swarmleaf
	AL["Schneller Onyxschinder"] = 88582; --Swift Onyx Flayer
	AL["Klauenbrecher"] = 84836; --Talonbreaker
	AL["Krallenpriesterin Zorkra"] = 79485; --Talonpriest Zorkra
	AL["Tesska der Gebrochene"] = 84775; --Tesska the Broken
	AL["Der Prügler"] = 77527; --The Beater
	AL["Tor'goroth"] = 82618; --Tor'goroth
	AL["Tura'aka"] = 83591; --Tura'aka
	AL["Varasha"] = 82050; --Varasha
	AL["Veloss"] = 75482; --Veloss
	AL["Leerenhetzerin Urnae"] = 85078; --Voidreaver Urnae
	AL["Leerenseher Kalurg"] = 83385; --Voidseer Kalurg
	AL["Vulceros"] = 77926; --Vulceros
	AL["Wandernder Verteidiger"] = 77776; --Wandering Vindicator
	AL["Schlachtzauberer Bargol"] = 78733; --Warcaster Bargol
	AL["Kriegsmeister Blugthol"] = 79024; --Warmaster Blugthol
	AL["Windzahnmatriarchin"] = 75434; --Windfang Matriarch
	AL["Xothear der Zerstörer"] = 82922; --Xothear, the Destroyer
	AL["Yaga die Vernarbte"] = 79145; --Yaga the Scarred
	AL["Yazheera die Verbrennerin"] = 77529; --Yazheera the Incinerator
	AL["Yggdrel"] = 75435; --Yggdrel
	AL["Mondfang"] = 71992; --Moonfang
end